""" URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.8/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Add an import:  from blog import urls as blog_urls
    2. Add a URL to urlpatterns:  url(r'^blog/', include(blog_urls))
"""
from django.conf.urls import include, url
from django.contrib import admin

from courses import views

app_name = "courses"

urlpatterns = [
    url(r'^$', views.index, name='index'),
    url(r'^(?P<cid>[0-9]+)/$', views.course, name='course'),
    url(r'^(?P<cid>[0-9]+)/(?P<seid>[0-9]+)/$', views.section, name='section'),
    url(r'^(?P<cid>[0-9]+)/(?P<seid>[0-9]+)/(?P<slid>[0-9]+)/$', views.slide, name='slide'),

    url(r'^listview$', views.ListCourseView.as_view(), name='courses-list'),
]
